// 6/98  Steve Ludtke this generates a simple stick model with c4
// symmetry to use as a starting model for Ryr reconstructions

#include <stdio.h>
#include <math.h>
#include <time.h>
#include "EMData.h"
#include "List.h"
#include "util.h"

int FSsend2(int command, int datalen,const char *fsp,const char *data,int fileno=-1);


main(int argc, char *argv[]) {
int i,j,k,l;
EMData *d;
float *dat,r;
long t;

//if (argc!=2) { printf("tst.c\nUsage: tst <output file>\n"); exit(0); }
appinit(argc,argv);

/*
d=new EMData;
d->setSize(110,110,110);

dat=d->getData();
l=0;
for (k=-55; k<55; k++) {
	for (j=-55; j<55; j++) {
		for (i=-55; i<55; i++,l++) {
			dat[l]=0;
			r=sqrt(hypot3((i+0)/20.0,(j+0)/15.0,(k-16)/20.0));
			dat[l]+=exp(-r*r);
			r=sqrt(hypot3((i+0)/20.0,(j+0)/15.0,(k+16)/20.0));
			dat[l]+=exp(-r*r);
		}
	}
}
d->doneData();
d->update();


d->writeMRC(argv[1]);
*/

/*
sleep(2);
d=new EMData();
d->setSize(50,50,1);
d->writeIMAGIC("qqq.hed",-1);
*/

/*
sleep(2);
printf("sending\n");
FSsend2(FS_TEXT,14,"test.txt","A test string");
sleep(2);
printf("sending\n");
FSsend2(FS_TEXT,14,"test.txt","A test string");
printf("done sending\n");
sleep(6);
*/
EMData x;
x.setSize(100,100);
x.writeIMAGIC("q.hed",-1);
x.writeIMAGIC("q.hed",-1);
sleep(10);
x.writeIMAGIC("q.hed",-1);
sleep(60);
x.writeIMAGIC("q.hed",-1);


//shutdown(FSSOCK,SHUT_RDWR);
//close(FSSOCK);
}

int FSsend2(int command, int datalen,const char *fsp,const char *data,int fileno) {
int sock=-1,n=0;

#ifdef FILESERVER
if (!FSHOST||!FSSOCK) error(ERR_EXIT,"no host/socket!");
char path[MAXPATHLEN];
getcwd(path,MAXPATHLEN-1);
sock=FSSOCK;

#ifdef DB3
printf("prepare\n"); fflush(stdout);
#endif

FSCOMMAND com;
if (datalen==-1) com.datalen=strlen(data);
else com.datalen=datalen;
com.command=command;
com.key=FSKEY;
com.pathlen=strlen(path);
com.filelen=strlen(fsp);
com.fileno=fileno;

//int zero=0,one=1;
//setsockopt(sock,SOL_TCP,TCP_CORK,&one,sizeof(int));
#ifdef DB3
printf("send 1\n"); fflush(stdout);
#endif
writesock(sock,(char *)&com,sizeof(com));
#ifdef DB3
printf("send 2\n"); fflush(stdout);
#endif
writesock(sock,(char *)path,strlen(path));
writesock(sock,(char *)fsp,strlen(fsp));
writesock(sock,(char *)data,com.datalen);
#ifdef DB3
printf("send done\n"); fflush(stdout);
#endif

#endif
//setsockopt(sock,SOL_TCP,TCP_CORK,&zero,sizeof(int));
}
