#ifndef Start_included
#define Start_included

#include "StartData.h"
#include "Control.h"
#include "Form.h"
#include "QTextBrowser2.h"

extern Control *control;
extern int initdone;

class Start : public StartData
{
    Q_OBJECT

	Form *form1,*form2,*form3,*form4;
	QTextBrowser2 *qtb;

public:

    Start
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~Start();

protected slots:

    virtual void step1();
    virtual void step2();
    virtual void step3();
    virtual void step4();
    virtual void step1e(const char *label);
    virtual void step2e(const char *label);
    virtual void step3e(const char *label);
    virtual void step4e(const char *label);
    virtual void browser();
    virtual void quit();
    virtual void help();

};
#endif // Start_included
