#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <qapp.h>
#include <qinputdialog.h>
#include <qspinbox.h>
#include <qcstring.h>
#include "Image.h"
#include "EMData.h"
#include "List.h"
#include "util.h"

int main( int argc, char **argv )
{  
    QApplication a( argc, argv );
    Image *im;
    EMData *dat;
    int i=0, j;
    // int nCount;
    //int *type;
    appinit(argc,argv);
    if( argc <2)
    {
	cout << "Usage: checkslice imagefile(MRC,IMGIC)"<<endl;
	cout << "To display slices of image from the first slice" << endl;
	exit(1);
    }
    QSpinBox *spinbox;
    QString infname(argv[1]);
    //   if (argc == 3)
    //	i = atoi(argv[2]);
    if(infname.find(".img") > 0 )//it is imgic file
    {
	dat=new EMData;
	j = fileCount(argv[1]);
	//	cout <<"j:"<<j<<endl;
	//	if(i>j) i=j;
	//	if(i<0) i=0;
	
	if(j ==1)
	{
	    dat->readImage(argv[1],-1);
	    im=new Image;
	    im->setData(dat);
            im->setGeometry(600,200,dat->xSize(),dat->ySize());
	    // QObject::connect(&spinbox, SIGNAL(valueChanged(int)), im, SLOT(changeslice(int)) );
	    im->show();
	}
	else {
	    dat->readImage(argv[1],i);
	    im=new Image;
	    spinbox = new QSpinBox(0,j-1);
	    im->setFileName(argv[1]);
	    QObject::connect(spinbox, SIGNAL(valueChanged(int)), im, SLOT(changeslice(int)) );
	    im->setData(dat);
		im->setGeometry(600,200,dat->xSize(),dat->ySize());
	    im->show();
		spinbox->setGeometry(600+10+im->width(),200,-1,-1);		
	    spinbox->show();
	}
    }
    else if(infname.find(".mrc")>0)//it is mrc file
    {
	if(i<0) i=0;
	dat = new EMData;
	dat->readImage(argv[1],-1,true);
	spinbox = new QSpinBox(0,dat->zSize()-1);
	dat->readImage(argv[1],i);
	im = new Image;
	//	printf("%s\n", argv[1]);
	im->setFileName(argv[1]);
	im->setData(dat);
	im->setGeometry(600,200,dat->xSize(),dat->ySize());
	QObject::connect(spinbox, SIGNAL(valueChanged(int)), im, SLOT(changeslice(int)) );
	im->show();
	spinbox->setGeometry(600+10+im->width(),200,-1,-1);
	spinbox->show();
    }
    else //not support
	cout <<"the image file forat not supported"<<endl;
	
    
    QObject::connect(qApp, SIGNAL(lastWindowClosed()), qApp, SLOT(quit()));
    return a.exec();
}
